/**
 * @file
 */

(function ($) {
  'use strict';
  Drupal.behaviors.flot_examples = {
    attach: function () {
      // We use an inline data source in the example, usually data would
      // be fetched from a server.
      var options = drupalSettings.flot.placeholder.options;
      var data = [];
      var totalPoints = 300;
      function getRandomData() {
        if (data.length > 0) {
          data = data.slice(1);
        }
        // Do a random walk.
        while (data.length < totalPoints) {
          var prev = data.length > 0 ? data[data.length - 1] : 50;
          var y = prev + Math.random() * 10 - 5;
          if (y < 0) {
            y = 0;
          }
          else if (y > 100) {
            y = 100;
          }
          data.push(y);
        }
        // Zip the generated y values with the x values.
        var res = [];
        for (var i = 0; i < data.length; ++i) {
          res.push([i, data[i]]);
        }
        return res;
      }
      // Set up the control widget.
      var updateInterval = 30;
      $('#updateInterval').val(updateInterval).change(function () {
        var v = $(this).val();
        if (v && !isNaN(+v)) {
          updateInterval = +v;
          if (updateInterval < 1) {
            updateInterval = 1;
          }
          else if (updateInterval > 2000) {
            updateInterval = 2000;
          }
          $(this).val('' + updateInterval);
        }
      });
      var plot = $.plot('#placeholder', [getRandomData()], options);
      function update() {
        plot.setData([getRandomData()]);
        // Since the axes don't change, we don't need to call plot.setupGrid()
        plot.draw();
        setTimeout(update, updateInterval);
      }
      update();
    }
  };
}(jQuery));
